// FontDDoc.cpp : implementation of the CFontDemoDoc class
//

#include "stdafx.h"
#include "FontDemo.h"

#include "FontDDoc.h"
#include "format.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFontDemoDoc

IMPLEMENT_DYNCREATE(CFontDemoDoc, CDocument)

BEGIN_MESSAGE_MAP(CFontDemoDoc, CDocument)
   //{{AFX_MSG_MAP(CFontDemoDoc)
   ON_COMMAND(ID_TEXT_FORMAT, OnTextFormat)
   //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFontDemoDoc construction/destruction

CFontDemoDoc::CFontDemoDoc()
{
   // TODO: add one-time construction code here
   m_Bold = FALSE;
   m_Italic = FALSE;
   m_Justify = JUSTIFY_LEFT;
   m_Pitch = PITCH_VARIABLE;
   m_Spacing = 1;
   m_Underline = FALSE;
}

CFontDemoDoc::~CFontDemoDoc()
{
}

BOOL CFontDemoDoc::OnNewDocument()
{
   if (!CDocument::OnNewDocument())
      return FALSE;

   // TODO: add reinitialization code here
   // (SDI documents will reuse this document)

   return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
// CFontDemoDoc serialization

void CFontDemoDoc::Serialize(CArchive& ar)
{
   if (ar.IsStoring())
   {
      // TODO: add storing code here
   }
   else
   {
      // TODO: add loading code here
   }
}

/////////////////////////////////////////////////////////////////////////////
// CFontDemoDoc diagnostics

#ifdef _DEBUG
void CFontDemoDoc::AssertValid() const
{
   CDocument::AssertValid();
}

void CFontDemoDoc::Dump(CDumpContext& dc) const
{
   CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CFontDemoDoc commands

void CFontDemoDoc::OnTextFormat() 
{
   // TODO: Add your command handler code here
   // declare a dialog class object:
   CFormat FormatDlg;
           
   // initialize dialog class data members:
   FormatDlg.m_Bold = m_Bold;
   FormatDlg.m_Italic = m_Italic;
   FormatDlg.m_Justify = m_Justify;
   FormatDlg.m_Pitch = m_Pitch;
   FormatDlg.m_Spacing = m_Spacing;
   FormatDlg.m_Underline = m_Underline;

   // display dialog box:   
   if (FormatDlg.DoModal () == IDOK)
      {         
      // save values set in dialog box:
      m_Bold = FormatDlg.m_Bold;
      m_Italic = FormatDlg.m_Italic;
      m_Justify = FormatDlg.m_Justify;
      m_Pitch = FormatDlg.m_Pitch;
      m_Spacing = FormatDlg.m_Spacing;
      m_Underline = FormatDlg.m_Underline;
      
      // redraw the text:
      UpdateAllViews (NULL);
      }   
}
