// TextDDoc.h : interface of the CTextDemoDoc class
//
/////////////////////////////////////////////////////////////////////////////

const int NUMLINES = 42;   // number of lines stored in document and
                           // displayed in view window

class CTextDemoDoc : public CDocument
{
public:
   COLORREF m_Color;
   CString m_LineTable [NUMLINES];              
   CFont m_Font;

protected: // create from serialization only
   CTextDemoDoc();
   DECLARE_DYNCREATE(CTextDemoDoc)

// Attributes
public:

// Operations
public:

// Overrides
   // ClassWizard generated virtual function overrides
   //{{AFX_VIRTUAL(CTextDemoDoc)
   public:
   virtual BOOL OnNewDocument();
   virtual void Serialize(CArchive& ar);
   //}}AFX_VIRTUAL

// Implementation
public:
   virtual ~CTextDemoDoc();
#ifdef _DEBUG
   virtual void AssertValid() const;
   virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
   //{{AFX_MSG(CTextDemoDoc)
   afx_msg void OnOptionsFont();
   //}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
