// TextDeVw.h : interface of the CTextDemoView class
//
/////////////////////////////////////////////////////////////////////////////

const int MARGIN = 10;     // margin displayed at top and left of view window

class CTextDemoView : public CScrollView
{
protected: // create from serialization only
   CTextDemoView();
   DECLARE_DYNCREATE(CTextDemoView)

// Attributes
public:
   CTextDemoDoc* GetDocument();

// Operations
public:

// Overrides
   // ClassWizard generated virtual function overrides
   //{{AFX_VIRTUAL(CTextDemoView)
   public:
   virtual void OnDraw(CDC* pDC);  // overridden to draw this view
   virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
   protected:
   virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
   //}}AFX_VIRTUAL

// Implementation
public:
   virtual ~CTextDemoView();
#ifdef _DEBUG
   virtual void AssertValid() const;
   virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
   //{{AFX_MSG(CTextDemoView)
   afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
   //}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in TextDeVw.cpp
inline CTextDemoDoc* CTextDemoView::GetDocument()
   { return (CTextDemoDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
