// CntrItem.h : interface of the CContDemoCntrItem class
//

class CContDemoDoc;
class CContDemoView;

class CContDemoCntrItem : public COleClientItem
{
   DECLARE_SERIAL(CContDemoCntrItem)

// Constructors
public:
   CContDemoCntrItem(CContDemoDoc* pContainer = NULL);
      // Note: pContainer is allowed to be NULL to enable IMPLEMENT_SERIALIZE.
      //  IMPLEMENT_SERIALIZE requires the class have a constructor with
      //  zero arguments.  Normally, OLE items are constructed with a
      //  non-NULL document pointer.

// Attributes
public:
   CContDemoDoc* GetDocument()
      { return (CContDemoDoc*)COleClientItem::GetDocument(); }
   CContDemoView* GetActiveView()
      { return (CContDemoView*)COleClientItem::GetActiveView(); }

   // ClassWizard generated virtual function overrides
   //{{AFX_VIRTUAL(CContDemoCntrItem)
   public:
   virtual void OnChange(OLE_NOTIFICATION wNotification, DWORD dwParam);
   protected:
   virtual void OnGetItemPosition(CRect& rPosition);
   virtual void OnDeactivateUI(BOOL bUndoable);
   virtual BOOL OnChangeItemPosition(const CRect& rectPos);
   //}}AFX_VIRTUAL

// Implementation
public:
   ~CContDemoCntrItem();
#ifdef _DEBUG
   virtual void AssertValid() const;
   virtual void Dump(CDumpContext& dc) const;
#endif
   virtual void Serialize(CArchive& ar);
};

/////////////////////////////////////////////////////////////////////////////
