// Format.h : header file
//

enum {JUSTIFY_LEFT, JUSTIFY_CENTER, JUSTIFY_RIGHT};
enum {PITCH_VARIABLE, PITCH_FIXED};

/////////////////////////////////////////////////////////////////////////////
// CFormat dialog

class CFormat : public CDialog
{
protected:   
   RECT m_RectSample;
   
// Construction
public:
   CFormat(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
   //{{AFX_DATA(CFormat)
   enum { IDD = IDD_DIALOG1 };
   CEdit m_SpacingEdit;
   BOOL  m_Bold;
   BOOL  m_Italic;
   BOOL  m_Underline;
   int      m_Justify;
   int      m_Pitch;
   int      m_Spacing;
   //}}AFX_DATA


// Overrides
   // ClassWizard generated virtual function overrides
   //{{AFX_VIRTUAL(CFormat)
   protected:
   virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
   //}}AFX_VIRTUAL

// Implementation
protected:

   // Generated message map functions
   //{{AFX_MSG(CFormat)
   virtual BOOL OnInitDialog();
   afx_msg void OnPaint();
   afx_msg void OnBold();
   afx_msg void OnCenter();
   afx_msg void OnFixed();
   afx_msg void OnItalic();
   afx_msg void OnLeft();
   afx_msg void OnRight();
   afx_msg void OnUnderline();
   afx_msg void OnVariable();
   afx_msg void OnChangeSpacing();
   //}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};
