// TabDeDoc.h : interface of the CTabDemoDoc class
//
/////////////////////////////////////////////////////////////////////////////

enum {JUSTIFY_LEFT, JUSTIFY_CENTER, JUSTIFY_RIGHT};
enum {PITCH_VARIABLE, PITCH_FIXED};         

class CTabDemoDoc : public CDocument
{
public:   
   BOOL m_Bold;
   BOOL m_Italic;
   BOOL m_Underline;
   int m_Justify;
   int m_Pitch;
   int m_Spacing;

protected: // create from serialization only
   CTabDemoDoc();
   DECLARE_DYNCREATE(CTabDemoDoc)

// Attributes
public:

// Operations
public:

// Overrides
   // ClassWizard generated virtual function overrides
   //{{AFX_VIRTUAL(CTabDemoDoc)
   public:
   virtual BOOL OnNewDocument();
   virtual void Serialize(CArchive& ar);
   //}}AFX_VIRTUAL

// Implementation
public:
   virtual ~CTabDemoDoc();
#ifdef _DEBUG
   virtual void AssertValid() const;
   virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
   //{{AFX_MSG(CTabDemoDoc)
   afx_msg void OnTextFormat();
   //}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
